import { createSSRApp } from "vue";
import DjBlogRoot, { routes } from "@/blog/DjBlogRoot.tsx";
import { createMemoryHistory, createRouter } from "vue-router";

export default function createApp() {
    const router = createRouter({
        routes: routes,
        history: createMemoryHistory("/blog"),
    });
    const app = createSSRApp(DjBlogRoot).use(router);
    return { app, router };
}
